# Enum AudioRecorderComponent.RecorderState

java.lang.Object
java.lang.Enum<AudioRecorderComponent.RecorderState>
com.codename1.components.AudioRecorderComponent.RecorderState

All Implemented Interfaces:
  `Comparable<AudioRecorderComponent.RecorderState>`

Enclosing class:
  `AudioRecorderComponent`

public static enum AudioRecorderComponent.RecorderState extends Enum<AudioRecorderComponent.RecorderState>
Enum for tracking the recorder state.

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Accepted`
  The user has accepted the recording.
  `Canceled`
  The user chose to cancel the recording.
  `Initialized`
  The recorder is initialized.
  `Initializing`
  The recorder is initializing.
  `NotInitialized`
  The recorder is not initialized yet.
  `Paused`
  The recorder is currently paused.
  `Pending`
  The recording is currently pending.
  `Recording`
  The recorder is currently recording.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AudioRecorderComponent.RecorderState`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AudioRecorderComponent.RecorderState[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, equals, getDeclaringClass, getEnumValues, hashCode, name, ordinal, setEnumValues, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Initializing

    public static final AudioRecorderComponent.RecorderState Initializing
    The recorder is initializing.

  - ### Recording

    public static final AudioRecorderComponent.RecorderState Recording
    The recorder is currently recording.

  - ### Paused

    public static final AudioRecorderComponent.RecorderState Paused
    The recorder is currently paused.

  - ### Pending

    public static final AudioRecorderComponent.RecorderState Pending
    The recording is currently pending. This recorder is in this state while the user is deciding whether to accept the recording.

  - ### Canceled

    public static final AudioRecorderComponent.RecorderState Canceled
    The user chose to cancel the recording.

  - ### Accepted

    public static final AudioRecorderComponent.RecorderState Accepted
    The user has accepted the recording.

  - ### Initialized

    public static final AudioRecorderComponent.RecorderState Initialized
    The recorder is initialized.

  - ### NotInitialized

    public static final AudioRecorderComponent.RecorderState NotInitialized
    The recorder is not initialized yet.

- ## Method Details

  - ### values

    public static AudioRecorderComponent.RecorderState[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AudioRecorderComponent.RecorderState valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null